Download it now!
Bug 118091 - Videos in Impress only show as static image and are not played during presentation
Summary: Videos in Impress only show as static image and are not played during present...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-10 07:56 UTC by herbert-thomson
Modified: 2019-06-08 02:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description herbert-thomson 2018-06-10 07:56:52 UTC
Description:
Although I not use LibreOffice any more I decided to decouple an issue I had with Impress and videos. Maybe people who are not so lucky than I and can't afford hundreds of $$$ for M$ license fees or people who have to use LibreOffice because of a company / school requirement will be thankful for this. 
I am normally a huge fan of Open Source projects trying to beat greedy companies, however, it makes me sad to see when priorities shift from implementing basic, essential features correctly (or delaying implementation for 5+ years) in favor of fancy new stuff that no one really needs. Firefox has taken this path for example. I hope that you guys will be smarter...



Steps to Reproduce:
1. Open LibreOffice Impress, make new presentation
2. Import any MP4 / H.264 video (I tried a lot of different videos from different sources encoded by different encoders. Probably other formats are also affected but the most common one is MP4 / H.264 nowadays; I didn't have other formats at hand)

Actual Results:  
If you start presentation from beginning:
Video is not played back during presentation, only static image (thumbnail) is shown, however, sound works. So I hear sound together with a static image.

If you start presentation at the slide where the video is:
Only the video is shown, but the rest of this slide is somehow transparent / not shown. But the video plays correctly then.

Expected Results:
Video plays correctly and presentation is not transparent.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
- Windows 10 x64 1803
- K-Lite Codec Pack 14.2.0 (with either DXVA 2.0, D3D11VA or software rendering; I tried all of them)
- Nvidia Geforce 100 series GPU
- Nvdiai Geforece 397.64 driver

Is there anything else of importance?

Side note: I'd recommend to not rely on operating system rendering, because this is the main cause for trouble for most of the issues you have had (and still have) with video rendering. Instead, I'd recommend ffmpeg with is a "jack of all trades device". It supports all formats; you just have to plug it into your software and things will be a lot smoother then.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 raal 2018-06-17 18:46:00 UTC
Hello,

Thank you for filing the bug. Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 herbert-thomson 2018-06-17 19:13:16 UTC
This is not specific to any document, it happens with all documents. Newly created ones and existing ones.

However, I'd recommend to not spend too much time investigating this particular failure case. There could be too much factors responsible for this. Maybe it just happens because of my particular graphics card? Then you would have a hard time to reproduce the issue. IMHO the whole media system relying on third party codecs on top of third party interfaces is bad design. Since I learned that you already have VLC integrated in LibreOffice but just disabled during compilation, I ask you to instead fix whatever is holding back VLC integration in the official releases (because something must still be not solved, otherwise you would have enabled this already, right?). This is the much better option for you to spend your time and resources. I am patient enough to wait (in fact I can wait until 2025, this is the date when my newly ordered Office runs out of support).

My bug report should be understood as a wakening call that the current media system is indeed broken.
Comment 3 Thorsten Behrens (CIB) 2018-06-17 20:27:20 UTC
(In reply to herbert-thomson from comment #2)
> Since I learned that you already have VLC integrated in LibreOffice
> but just disabled during compilation, I ask you to instead fix whatever is
> holding back VLC integration in the official releases (because something
> must still be not solved, otherwise you would have enabled this already,
> right?).
>

Reason for not pursuing the VLC path further: https://wiki.documentfoundation.org/Media_Support#VLC

TL;DR: VLC does not offer a stable API, and was generally working too unreliably on windows to build on it.

But let's please keep general feature or architectural discussions out of BZ. They are on-topic on libreoffice@lists.freedesktop.org
Comment 4 QA Administrators 2019-05-08 18:19:27 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-06-08 02:58:12 UTC
Dear herbert-thomson,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp